
/*
 * Input:  1-n files from HTML file input element
 * Output: JSON Objects in array
 *         {"filename":[FILENAME], "payload":{}}
 */

var inputArray = [];
var fileCount;

function fileDialog() {

	document.getElementById('file-element').value = null;
	document.getElementById('file-element').click();
	
}

function fileDialogInput(files) {

	inputArray = [];
	
	var message;

	if (files.length === 1) {
		message = 'file';
	} else {
		message = 'files';
	}

	fileCount = files.length;
	
	for (var i=0;i<files.length;i++) {
		myFileReader(files[i], redirect);
	}
	
}

function redirect() {
	if (inputArray.length === fileCount) {
		inspect(inputArray);
	}
}

myFileReader = function fileReader_PROTOTYPE(file, callback) {

	var reader = new FileReader();
	
	reader.onloadend = function(){
		var xmlDoc = $.parseXML(reader.result);
		var jsonObj = $.xml2json(xmlDoc);
		inputArray.push('{"filename":"' + file.name + '", "payload":' + JSON.stringify(jsonObj) + '}');
		callback('{"filename":"' + file.name + '", payload:' + JSON.stringify(jsonObj) + '}');
	}

	reader.readAsText(file);
}
